Page MenuHomePhabricator

[Story] highlight Wikidata and query editing in embedded query result view
Closed, ResolvedPublic

Description

When using the items-with-same-statements-widget, the users should be able to play with the data and realize where it is coming from.

Thus, the embedded view of a query result should have the Wikidata logo (linked to Wikidata.org) and an edit icon (linked to query.wikidata.org with prefilled query).

Details

Related Gerrit Patches:
wikidata/query/gui-deploy : productionMerging from d947e8e0084ee629db9efdaa01f68d3ed662d4aa:
wikidata/query/gui : masterChange embedding link text

Event Timeline

Restricted Application added projects: Wikidata, Discovery. · View Herald TranscriptJun 27 2016, 4:14 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald Transcript

There is already a link on the bottom, but we could make it more obvious.

Restricted Application added a project: Design. · View Herald TranscriptJul 11 2016, 1:26 PM

Yeah. People don't perceive this link right now it seems. They don't make the connection that this will lead them to a query and so on.

Jan_Dittrich updated the task description. (Show Details)Jul 11 2016, 3:18 PM
Jan_Dittrich added a subscriber: Charlie_WMDE.

They don't make the connection that this will lead them to a query and so on.

I suppose we can improve this.

Partly users may not be interested in making this connection though, since the widget is already pretty useful in itself. So we should make it easy to understand that the data in the widget was generated by a query and that one can edit this query but it should not be obtrusive for those who are currently not interested in queries.

Please keep in mind that the embedded view is not just used in the easyquery gadget but should be used on other websites outside Wikimedia as well.

They don't make the connection that this will lead them to a query and so on.

I suppose we can improve this.
Partly users may not be interested in making this connection though, since the widget is already pretty useful in itself. So we should make it easy to understand that the data in the widget was generated by a query and that one can edit this query but it should not be obtrusive for those who are currently not interested in queries.

Yes it shouldn't be too in your face. But people are starting to share the embedded view on Twitter for example and then get questions what the underlying query is.

Jan_Dittrich added a comment.EditedJul 13 2016, 12:35 PM

@Jonas @Lydia_Pintscher
We tried some different ways – what about »created with the QueryService by Wikidata [WD Logo goes here]«?
Alternatively: »See how this was created«

We also had wordings like: "Edit Query" (but that is not very good for users who don't know about querys) or "customize results" (But this sets the expectation of editing what is shown directly, not the query that generated it)

How about just an edit icon and the Wikidata logo?

We could have a toolbar like plot.ly that appears on hover.
We may want to add more functionality there in the future like switching result views or controls from timeline and graph.

@Lydia_Pintscher: "Edit" or 🖉 would be ambiguous, users might not know what a query is and expect they can edit the underlying data or change the color of the graph etc.

@Jonas: We can to that; I'm a bit unsure about the hover *if* the functions are essential (findability)

After talking to @Jonas : suggesting »edit this on query.wikidata.org« as linktext.
Required for this is, that the query is run when the user visits the query, so the familiar visualization from the embedded view is visible, otherwise clicking on »do something with that what you see here« and than seeing nothing familiar is irritating.

»edit on query.wikidata.org«

Charlie_WMDE moved this task from Incoming to Done on the WMDE-Design board.Jul 25 2016, 1:34 PM

Change 302685 had a related patch set uploaded (by Jonas Kress (WMDE)):
Change embedding link text

https://gerrit.wikimedia.org/r/302685

Change 302685 merged by jenkins-bot:
Change embedding link text

https://gerrit.wikimedia.org/r/302685

Jonas closed this task as Resolved.Aug 3 2016, 5:32 PM
Jonas moved this task from Review to Done on the Wikidata-Sprint-2016-08-02 board.

Change 302754 had a related patch set uploaded (by Smalyshev):
Merging from d947e8e0084ee629db9efdaa01f68d3ed662d4aa:

https://gerrit.wikimedia.org/r/302754